%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Wiki protected macro plugin for Trac
Name: trac-protectedmacro-plugin
# Seen in setup.py
Version: 2.1.0
Release: 1%{?dist}
Group: Applications/Internet
License: BSD
URL: http://trac-hacks.org/wiki/ProtectedMacro
# Get : http://trac-hacks.org/changeset/latest/protectedmacro?old_path=/&filename=protectedmacro&format=zip
# ...rename to the name below.
Source0: protectedmacro.zip
# http://trac-hacks.org/attachment/ticket/5338/add_format_check.patch
Patch0: add_format_check.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-setuptools
Requires: trac >= 0.11

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch: noarch
BuildRequires: python-devel

%description
This Trac plugin provides support for a Wiki protected macro.


%prep
%setup -q -n protectedmacro
# Some files have mode 000 :-/
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
cd 0.11/protected
%patch0 -p0
cd -


%build
cd 0.11
%{__python} setup.py build


%install
cd 0.11
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#doc
%{python_sitelib}/*


%changelog
* Tue Jan 19 2010 Matthias Saou <http://freshrpms.net/> 0.1-1
- Initial RPM release.

